Bug 2246866 - Review Request: rust-fsio - File System and Path utility functions
Summary: Review Request: rust-fsio - File System and Path utility functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2246867
TreeView+ depends on / blocked
 
Reported: 2023-10-29 19:56 UTC by Michel Lind
Modified: 2023-11-10 01:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-30 03:26:26 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2023-10-29 19:56:21 UTC
Spec URL: https://salimma.fedorapeople.org/rust-fsio.spec
SRPM URL: https://salimma.fedorapeople.org/rust-fsio-0.4.0-1.fc38.src.rpm

Description:
File System and Path utility functions.

Fedora Account System Username: salimma

Comment 1 Michel Lind 2023-10-29 20:22:27 UTC
Built in COPR - https://copr.fedorainfracloud.org/coprs/salimma/nu-wip/build/6579146/

Comment 2 Fabio Valentini 2023-10-29 20:57:56 UTC
This package bundles its own docs in /docs - that directory needs to be excluded from installed files. They include fonts, JavaScript, and CSS, which we definitely don't want.

This might be a good PR for upstream ... I'm pretty sure shipping the output of "cargo doc" in the actual crate sources is not a good idea (TM).

Also regenerate the package with rust2rpm v25 before importing please. Looks like you haven't updated your system in a *while* ...

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (Apache-2.0) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED (with requests for changes).

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

===

Please address the two issues I noted above before importing the package.

Comment 3 Fedora Admin user for bugzilla script actions 2023-10-29 21:18:32 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-fsio

Comment 4 Fedora Update System 2023-11-06 23:58:20 UTC
FEDORA-2023-2d736ee319 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2d736ee319

Comment 5 Fedora Update System 2023-11-07 01:46:03 UTC
FEDORA-2023-2d736ee319 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2d736ee319`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2d736ee319

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-07 05:23:44 UTC
FEDORA-2023-cc5db214de has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cc5db214de

Comment 7 Fedora Update System 2023-11-07 20:38:48 UTC
FEDORA-2023-35de54f539 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-35de54f539

Comment 8 Fedora Update System 2023-11-08 02:52:56 UTC
FEDORA-2023-cc5db214de has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cc5db214de`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cc5db214de

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-11-08 03:04:49 UTC
FEDORA-2023-35de54f539 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-35de54f539`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-35de54f539

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-11-10 01:13:36 UTC
FEDORA-2023-35de54f539 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-11-10 01:47:26 UTC
FEDORA-2023-2d736ee319 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-11-10 01:56:34 UTC
FEDORA-2023-cc5db214de has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.